Package com.sap.ai.sdk.grounding.model

# Class DocumentMetadataUpdateError

java.lang.Object
com.sap.ai.sdk.grounding.model.DocumentMetadataUpdateError

All Implemented Interfaces:
  `BatchUpdateDocumentsResponseInner`

public class DocumentMetadataUpdateError extends Object implements BatchUpdateDocumentsResponseInner
DocumentMetadataUpdateError

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `DocumentMetadataUpdateError.Builder`
  Builder helper class.
  `static interface`
  `DocumentMetadataUpdateError.Builder1`
  Builder helper class.
  `static interface`
  `DocumentMetadataUpdateError.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DocumentMetadataUpdateError()`
  Default constructor for DocumentMetadataUpdateError.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentMetadataUpdateError`
  `code(Integer code)`
  Set the code of this `DocumentMetadataUpdateError` instance and return the same instance.
  `static DocumentMetadataUpdateError.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `DocumentMetadataUpdateError` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Integer`
  `getCode()`
  HTTP error status code.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `DocumentMetadataUpdateError`.
  `String`
  `getMessage()`
  Error message.
  `String`
  `getTarget()`
  Document ID that caused the error.
  `int`
  `hashCode()`
  `DocumentMetadataUpdateError`
  `message(String message)`
  Set the message of this `DocumentMetadataUpdateError` instance and return the same instance.
  `void`
  `setCode(Integer code)`
  Set the code of this `DocumentMetadataUpdateError` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `DocumentMetadataUpdateError` instance.
  `void`
  `setMessage(String message)`
  Set the message of this `DocumentMetadataUpdateError` instance.
  `void`
  `setTarget(String target)`
  Set the target of this `DocumentMetadataUpdateError` instance.
  `DocumentMetadataUpdateError`
  `target(String target)`
  Set the target of this `DocumentMetadataUpdateError` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `DocumentMetadataUpdateError` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentMetadataUpdateError

    protected DocumentMetadataUpdateError()
    Default constructor for DocumentMetadataUpdateError.

- ## Method Details

  - ### target

    @Nonnull public DocumentMetadataUpdateError target(@Nonnull String target)
    Set the target of this `DocumentMetadataUpdateError` instance and return the same instance.
    Parameters:
      `target` - Document ID that caused the error.
    Returns:
      The same instance of this `DocumentMetadataUpdateError` class

  - ### getTarget

    @Nonnull public String getTarget()
    Document ID that caused the error.
    Returns:
      target The target of this `DocumentMetadataUpdateError` instance.

  - ### setTarget

    public void setTarget(@Nonnull String target)
    Set the target of this `DocumentMetadataUpdateError` instance.
    Parameters:
      `target` - Document ID that caused the error.

  - ### code

    @Nonnull public DocumentMetadataUpdateError code(@Nonnull Integer code)
    Set the code of this `DocumentMetadataUpdateError` instance and return the same instance.
    Parameters:
      `code` - HTTP error status code.
    Returns:
      The same instance of this `DocumentMetadataUpdateError` class

  - ### getCode

    @Nonnull public Integer getCode()
    HTTP error status code.
    Returns:
      code The code of this `DocumentMetadataUpdateError` instance.

  - ### setCode

    public void setCode(@Nonnull Integer code)
    Set the code of this `DocumentMetadataUpdateError` instance.
    Parameters:
      `code` - HTTP error status code.

  - ### message

    @Nonnull public DocumentMetadataUpdateError message(@Nonnull String message)
    Set the message of this `DocumentMetadataUpdateError` instance and return the same instance.
    Parameters:
      `message` - Error message.
    Returns:
      The same instance of this `DocumentMetadataUpdateError` class

  - ### getMessage

    @Nonnull public String getMessage()
    Error message.
    Returns:
      message The message of this `DocumentMetadataUpdateError` instance.

  - ### setMessage

    public void setMessage(@Nonnull String message)
    Set the message of this `DocumentMetadataUpdateError` instance.
    Parameters:
      `message` - Error message.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `DocumentMetadataUpdateError`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `DocumentMetadataUpdateError` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `DocumentMetadataUpdateError` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `DocumentMetadataUpdateError` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static DocumentMetadataUpdateError.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `DocumentMetadataUpdateError` instance with all required arguments.